import request, { restful } from "@/utils/request";

/**
 * 构造 Service
 * @returns
 */
const [
  getPurchaseList,
  getPurchaseDetail,
  savePurchase,
  updatePurchase,
  deletePurchase,
] = restful("/purchase");

/**
 * 新增
 *  @param {*} id
 * @param {*} data
 * @returns
 */
  const savePurchaseInStore = (id) => request(`/purchase/${id}/in-store`, { method: 'put'});

//  const [
//   getResourceList,
//   getResourceDetail,
//   saveResource,
//   updateResource,
//   deleteResource,
//  ] = restful('/resources');

export {
  getPurchaseList,
  getPurchaseDetail,
  savePurchase,
  updatePurchase,
  deletePurchase,
  savePurchaseInStore,
  //   getResourceList,
  //   getResourceDetail,
  //   saveResource,
  //   updateResource,
  //   deleteResource,
};
