import { ProFormTextArea, ProForm } from '@ant-design/pro-components';
import { Col, Row, Space } from 'antd';

export default (props) => {
  console.log('小方', props);
  return (
    <ProForm
      submitter={{
        searchConfig: {
          resetText: '返回',
        },
        onReset: () => navigate(-1),
        render: (props, doms) => {
          return (
            <Row>
              <Col span={8} offset={11}>
                <Space>{doms}</Space>
              </Col>
            </Row>
          );
        },
      }}
    >
      <ProFormTextArea placeholder="请输入..."></ProFormTextArea>
    </ProForm>

  )
}
